Create a GCP protection group
Creates a new GCP protection group.
- application/json
Request Body required
The protection group to create
bucket_rule object
gcp_label object
At most one include and one exclude operator may be set.
$all object[]
key stringvalue string$contains object
key stringvalue string$eq object
key stringvalue string$in object[]
key stringvalue string$not_all object[]
key stringvalue string$not_contains object
key stringvalue string$not_eq object
key stringvalue string$not_in object[]
key stringvalue stringgcp_location object
$eq string$in string[]$not_eq string$not_in string[]gcp_project_id object
$eq string$in string[]$not_eq string$not_in string[]- exclude_prefixes string[]
A list of prefixes to exclude from the backup. If multiple prefixes are specified, then any object whose path matches one of the prefixes will be excluded from the backup.
- include_prefixes string[]
A list of prefixes to include in the backup. If multiple prefixes are specified, then any object whose path matches one of the prefixes will be included in the backup.
- latest_version_only boolean
Whether to back up only the latest object version. Defaults to true if not specified.
- name string required
The user-assigned name of the protection group.
- 201
- default
Success
- application/api.clumio.gcp-protection-groups=v1+json
- Schema
- Example (from schema)
Schema
- _etag string
backup_status_stats object
Represents the aggregated stats for backup status.
failure_count int64The total number of entities that have a backup status of
failure.no_backup_count int64The total number of entities that have a backup status of
no_backup.partial_success_count int64The total number of entities that have a backup status of
partial_success.success_count int64The total number of entities that have a backup status of
success.- bucket_count int64
The total number of unique buckets in this protection group (manual + rule-matched, deduplicated).
bucket_rule object
gcp_label object
At most one include and one exclude operator may be set.
$all object[]
key stringvalue string$contains object
key stringvalue string$eq object
key stringvalue string$in object[]
key stringvalue string$not_all object[]
key stringvalue string$not_contains object
key stringvalue string$not_eq object
key stringvalue string$not_in object[]
key stringvalue stringgcp_location object
$eq string$in string[]$not_eq string$not_in string[]gcp_project_id object
$eq string$in string[]$not_eq string$not_in string[]- bucket_rule_matched_bucket_count int64
The number of buckets auto-included by the bucket rule.
- bucket_rule_matched_bucket_uuids string[]
The set of bucket UUIDs auto-included by the bucket rule. NOTE: A bucket that is both directly assigned and rule-matched will appear in both bucket_uuids and this field. Deduplicate before computing totals. Always returned on read/create/update. On the list endpoint, only returned when bucket_uuid_detail is "all" or "bucket_rule".
- bucket_uuids string[]
The set of bucket UUIDs directly assigned to this protection group (via manual membership). Does not include buckets auto-included by a bucket rule; see bucket_rule_matched_bucket_uuids for those. Always returned on read/create/update. On the list endpoint, only returned when bucket_uuid_detail is "all" or "manual".
- created_timestamp string
Creation time of the protection group in RFC-3339 format.
filter object
exclude_object_name_prefix_regexes string[]A list of prefixes to exclude from the backup. If multiple prefixes are specified, then any object whose path matches one of the prefixes will be excluded from the backup.
include_object_name_prefix_regexes string[]A list of prefixes to include in the backup. If multiple prefixes are specified, then any object whose path matches one of the prefixes will be included in the backup.
latest_version booleanSpecifies that the protection group is configured with the latest version of the filter.
updated_after stringOnly backup objects that were created or last modified after this timestamp (in RFC-3339 format).
- id string
The Clumio-assigned ID of the protection group.
- is_deleted boolean
Determines whether the protection group is active or has been deleted.
labels object[]
GCP labels (key-value pairs) associated with the protection group.
key stringThe GCP-assigned label key.
value stringThe GCP-assigned label value.
- last_backup_timestamp string
Time of the last backup in RFC-3339 format.
- location string
The location of the protection group (e.g., "us-central1", "us", "us-west1").
- location_type string
The location type of the protection group (e.g., "Region", "Dual-region", "Multi-region").
- manual_added_bucket_count int64
The number of buckets directly assigned to this protection group (via manual membership). Does not include buckets auto-included by a bucket rule; see bucket_rule_matched_bucket_count for those.
- modified_timestamp string
Modified time of the protection group in RFC-3339 format.
- name string
The user-assigned name of the protection group.
- organizational_unit_id string
The Clumio-assigned ID of the organizational unit associated with the Protection Group.
protection_info object
policy_id stringThe Clumio-assigned ID of the policy protecting this resource.
- protection_status string
The protection status of this resource. Possible values include "protected", "unprotected".
- total_backed_up_object_count int64
Cumulative count of all unexpired objects in each backup (any new or updated since the last backup) that have been backed up as part of this protection group
- total_backed_up_size_bytes int64
Cumulative size of all unexpired objects in each backup (any new or updated since the last backup) that have been backed up as part of this protection group
- version int64
Version of the protection group. The version number is incremented every time a change is made to the protection group.
{
"_etag": "string",
"backup_status_stats": {
"failure_count": 0,
"no_backup_count": 0,
"partial_success_count": 0,
"success_count": 0
},
"bucket_count": 0,
"bucket_rule": {
"gcp_label": {
"$all": [
{
"key": "string",
"value": "string"
}
],
"$contains": {
"key": "string",
"value": "string"
},
"$eq": {
"key": "string",
"value": "string"
},
"$in": [
{
"key": "string",
"value": "string"
}
],
"$not_all": [
{
"key": "string",
"value": "string"
}
],
"$not_contains": {
"key": "string",
"value": "string"
},
"$not_eq": {
"key": "string",
"value": "string"
},
"$not_in": [
{
"key": "string",
"value": "string"
}
]
},
"gcp_location": {
"$eq": "string",
"$in": [
"string"
],
"$not_eq": "string",
"$not_in": [
"string"
]
},
"gcp_project_id": {
"$eq": "string",
"$in": [
"string"
],
"$not_eq": "string",
"$not_in": [
"string"
]
}
},
"bucket_rule_matched_bucket_count": 0,
"bucket_rule_matched_bucket_uuids": [
"string"
],
"bucket_uuids": [
"string"
],
"created_timestamp": "string",
"filter": {
"exclude_object_name_prefix_regexes": [
"string"
],
"include_object_name_prefix_regexes": [
"string"
],
"latest_version": true,
"updated_after": "string"
},
"id": "string",
"is_deleted": true,
"labels": [
{
"key": "string",
"value": "string"
}
],
"last_backup_timestamp": "string",
"location": "string",
"location_type": "string",
"manual_added_bucket_count": 0,
"modified_timestamp": "string",
"name": "string",
"organizational_unit_id": "string",
"protection_info": {
"policy_id": "string"
},
"protection_status": "string",
"total_backed_up_object_count": 0,
"total_backed_up_size_bytes": 0,
"version": 0
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}